data:extend({
  {
    type = "ammo",
    name = "laser-gun-ammo",
    icon = "__Laser_Gun__/graphics/icons/laser-gun-ammo.png",
    flags = {"goes-to-main-inventory"},
    ammo_type =
    {
      category = "laser-turret",
      action =
      {
        type = "direct",
        action_delivery =
        {
          type = "beam",
          beam = "laser-beam-red",
          max_length = 20,
          duration = 20,
		  source_offset = {0, -1.2}
        }
      }
    },
    magazine_size = 10,
    subgroup = "ammo",
    order = "f[laser-gun]",
    stack_size = 50
  },
  {
    type = "gun",
    name = "laser-gun",
    icon = "__Laser_Gun__/graphics/icons/laser-gun.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "gun",
    order = "f[laser-gun]",
    attack_parameters =
    {
      type = "beam",
      ammo_category = "laser-turret",
      cooldown = 30,
      movement_slow_down_factor = 0.6,
      projectile_creation_distance = 0.6,
      range = 20,
    },
    stack_size = 5
  }
})